import 'package:exide_crr/appLocalization/language_key.dart';
import 'package:get/get_navigation/src/root/internacionalization.dart';

class Languages extends Translations {

  @override
  Map<String, Map<String, String>> get keys => {
    "en_US": englishConstants,
    "hi_IN": hindiConstants,
  };

  /// English language constants
  Map<String, String> englishConstants = {
    name: "Exide CRR",

    /// language selection screen
    selectLanguage : "Select Language",
    selectLanguageDescription : "Choose your preferred language for the app. You can adjust it later.",
    saveMyPreference : "Save My Preference",

    /// login screen
    welcomeText : "Welcome to Exide CRR App",
    pleaseLoginToYourAccount : "Please login to your account.",
    dealerCodeRWD : "Dealer (RWD) code",
    next : "Next",
    yourRegisteredMobileNumber :"Your Registered Mobile Number",
    loginHint :"Enter Code Here",

    ///Verify otp screen
    otpTitle:"Verify OTP",
    otpSubTitle:"Please verify the OTP which have been sent your registered mobile number.",
    enterOTP:"Enter OTP",
    resendOTPIn: " in ",
    resendOTP: "Resend OTP",
    seconds: "seconds.",
    verify: "Verify",
    back: "Back",
    verifySuccessTitle:"Verification Successful",
    verifySuccessSubTitle:"You have verified your OTP successfully.",
    incorrectOTPError:"Incorrect OTP.Please try again!",
    apiError:"Something went wrong.Please try again!"
  };

  /// Hindi language constants
  Map<String, String> hindiConstants = {
    name: "एक्साइड सीआरआर",

    /// language selection screen
    selectLanguage: "भाषा चुने",
    selectLanguageDescription : "ऐप के लिए अपनी पसंदीदा भाषा चुनें। आप इसे बाद में समायोजित कर सकते हैं.",
    saveMyPreference : "मेरी प्राथमिकता सहेजें",

    /// login screen
    welcomeText : "एक्साइड सीआरआर ऐप में आपका स्वागत है",
    pleaseLoginToYourAccount : "कृपया अपने खाते लॉग इन करें।.",
    dealerCodeRWD : "डीलर (आरडब्ल्यूडी) कोड",
    next : "अगला",
    yourRegisteredMobileNumber : "आपका पंजीकृत मोबाइल नंबर",
    loginHint : "यहाँ कोड दर्ज करें",

    ///Verify otp screen
    otpTitle:"ओटीपी सत्यापित करें",
    otpSubTitle:"कृपया उस ओटीपी को सत्यापित करें जो आपके पंजीकृत मोबाइल नंबर पर भेजा गया है।",
    enterOTP:"ओटीपी दर्ज करें",
    resendOTPIn:" ",
    resendOTP: "ओटीपी दोबारा भेजें",
    seconds:"सेकंड में ",
    verify: "सत्यापित करें",
    back: "पीछे",
    verifySuccessTitle:"सत्यापन सफल",
    verifySuccessSubTitle:"आपने अपना ओटीपी सफलतापूर्वक सत्यापित कर लिया है।",
    incorrectOTPError:"ग़लत ओटीपी.कृपया पुनः प्रयास करें!",
    apiError:"कुछ गड़बड़ हुई है। कृपया दोबारा प्रयास करें!"
  };
}