import 'package:exide_crr/appbar/empty_app_bar.dart';
import 'package:exide_crr/constants/app_images.dart';
import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:flutter/material.dart';

class CommonOnboardScreen extends StatelessWidget {
  final Widget child;
  final String backgroundImageName;
  const CommonOnboardScreen({super.key, required this.child, required this.backgroundImageName});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const EmptyAppBar(),
      backgroundColor: AppColor.backgroundColor,
      body: Column(
        children: [
          Expanded(
            child: Stack(
              children: [
                Image.asset(
                  backgroundImageName,
                ),
                Positioned(
                  // top: 250,
                  bottom: 0,
                  left: 0,
                  right: 0,
                  child: Container(
                    height: 546,
                    decoration: BoxDecoration(
                      color: AppColor.white,
                      borderRadius: const BorderRadius.only(
                        topLeft: Radius.circular(20),
                        topRight: Radius.circular(20),
                      ),
                    ),
                    child: child,
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
