import 'package:exide_crr/constants/font_constants.dart';
import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:google_fonts/google_fonts.dart';

// ignore: must_be_immutable
class CustomCheckBox extends StatelessWidget {
  CustomCheckBox({
    super.key,
    required this.text,
    required this.isChecked,
    this.fontSize = 14,
    this.iconSize = 16,
    this.onTap,
  });

  bool isChecked = false;
  String text;
  double fontSize = 14;
  double iconSize = 16;
  VoidCallback? onTap;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Container(
        margin: EdgeInsets.only(right: 24, bottom: 8.h),
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            Icon(
              isChecked ? Icons.check_circle : Icons.circle_outlined,
              color: isChecked ? Color(0xff1071FF) : Colors.grey,
              size: iconSize,
            ),
            SizedBox(
              width: 8.w,
            ),
            Flexible(
              child: FittedBox(
                child: Text(
                  text,
                  style: GoogleFonts.getFont(
                    FontConstants.fontFamily,
                    fontSize: fontSize,
                    color: AppColor.fontColor,
                    fontStyle: FontStyle.normal,
                    fontWeight: FontWeight.w400,
                  ),
                  maxLines: 1,
                  overflow: TextOverflow.ellipsis,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
