import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:exide_crr/utils/res/styles.dart';
import 'package:flutter/material.dart';

class ErrorMessageText extends StatelessWidget {
  const ErrorMessageText({
    super.key,
    required this.isInCorrect,
    required this.text
  });

  final bool isInCorrect;
  final String text;

  @override
  Widget build(BuildContext context) {
    return Visibility(
      visible: isInCorrect,
      child: Container(
        margin: const EdgeInsets.only(left: 0, right: 0, top: 8),
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            const Icon(
              Icons.error_outline,
              color: AppColor.errorMessageColor,
              size: 18,
            ),
            const SizedBox(
              width: 6,
            ),
            Flexible(
              child: Text(
                  text,
                  style: Styles.errorMessageStyle),
            ),
          ],
        ),
      ),
    );
  }
}
