import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

Widget shimmerLoader(width, height, radius,
    {bool customisedShimmerLoader = false, customisedShimmerWidget}) {
  return Shimmer.fromColors(
    baseColor: Colors.grey.shade300,
    highlightColor: Colors.grey.shade100,
    child: customisedShimmerLoader
        ? customisedShimmerWidget
        : Container(
      margin: const EdgeInsets.only(top: 5),
      width: width ?? 50.00,
      height: height ?? 12.00,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(radius ?? 4.00),
      ),
    ),
  );
}
