/* Created by Nitesh Kumar on 01/01/24 */


import 'package:exide_crr/constants/app_config_constants.dart';

abstract class AppEnvironment {
  static late String appName;
  static late String baseApiUrl;
  static late String sentryUrl;
  static late String fireStoreUrl;
  static String environmentName = "dev";

  static Environment appEnvironmentSetup =
      Environment.dev; // default env is Dev

  static void setupEnv(Environment env) {
    appEnvironmentSetup = env;
    switch (env) {
      case Environment.dev:
        appName = AppConfigCons.appDevName;
        baseApiUrl = AppConfigCons.devServer;
        sentryUrl = AppConfigCons.sentryDevUrl;
        fireStoreUrl = AppConfigCons.fireStoreUrl;
        environmentName = "dev";
        break;
      case Environment.uat:
        appName = AppConfigCons.appUATName;
        baseApiUrl = AppConfigCons.uatServer;
        sentryUrl = AppConfigCons.sentryUatUrl;
        fireStoreUrl = AppConfigCons.fireStoreUrl;
        environmentName = "uat";
        break;
      case Environment.prod:
        appName = AppConfigCons.appProdName;
        baseApiUrl = AppConfigCons.prodServer;
        sentryUrl = AppConfigCons.sentryProdUrl;
        fireStoreUrl = AppConfigCons.fireStoreUrl;
        environmentName = "prod";
        break;
      case Environment.test:
        baseApiUrl = AppConfigCons.testServer;
        sentryUrl = AppConfigCons.sentryTestUrl;
        fireStoreUrl = AppConfigCons.fireStoreUrl;
        environmentName = "uat";
        break;
      default:
        baseApiUrl = AppConfigCons.devServer;
        sentryUrl = AppConfigCons.sentryDevUrl;
        fireStoreUrl = AppConfigCons.fireStoreUrl;
        environmentName = "dev";
        break;
    }
  }
}

enum Environment { dev, prod, uat, test }
