/* Created by Nitesh Kumar on 5/28/24 */

import 'package:device_info_plus/device_info_plus.dart';
import 'package:exide_crr/firebase_options.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:firebase_crashlytics/firebase_crashlytics.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'package:google_fonts/google_fonts.dart';

class Base {
  static const tag = "Base";

  Base();

  Future<void> initBase() async {
    GoogleFonts.config.allowRuntimeFetching = false;
    await SystemChrome.setPreferredOrientations(
      [DeviceOrientation.portraitUp],
    );
    ///==============================================///
    await Firebase.initializeApp(
      // don't add app name with special character, in ios build its break.
      // name: "radha-exports",
      options: DefaultFirebaseOptions.currentPlatform,
    );

    if (kReleaseMode) {
      FlutterError.onError = (errorDetails) {
        FirebaseCrashlytics.instance.recordFlutterFatalError(errorDetails);
      };
      PlatformDispatcher.instance.onError = (error, stack) {
        FirebaseCrashlytics.instance.recordError(error, stack, fatal: true);
        return true;
      };
    }
  }

  void getDeviceInfo() async {
    final deviceInfoPlugin = DeviceInfoPlugin();
    final deviceInfo = await deviceInfoPlugin.webBrowserInfo;
    final allInfo = deviceInfo.data;

    if (kDebugMode) {
      print("allInfo===${deviceInfo.userAgent}");
      print("allInfo===${deviceInfo.data}");
      print("allInfo===$allInfo");
    }
  }
}
