import 'package:exide_crr/data/app_env.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:cloud_firestore/cloud_firestore.dart';

class FireStoreService {
  static final FireStoreService _instance = FireStoreService._internal();

  factory FireStoreService() {
    return _instance;
  }

  FireStoreService._internal();

  FirebaseFirestore? _fireStore;

  FirebaseFirestore get fireStore => _fireStore ??= _getFireStoreInstance();

  FirebaseFirestore _getFireStoreInstance() {
    switch (AppEnvironment.appEnvironmentSetup.name) {
      case 'uat':
        return FirebaseFirestore.instanceFor(
            app: Firebase.app(), databaseURL: 'uat-b2b-database');
      default:
        return FirebaseFirestore.instance;
    }
  }
}
