import 'package:connectivity_plus/connectivity_plus.dart';
import 'package:get/get.dart';

// For checking internet connectivity
abstract class NetworkInfoI {
  Future<bool> isConnected();

  Future<ConnectivityResult> get connectivityResult;

  Stream<ConnectivityResult> get onConnectivityChanged;
}

class NetworkInfo extends GetxController implements NetworkInfoI {
  late Connectivity connectivity;

  NetworkInfo({Connectivity? connectivityObj}) {
    connectivity = connectivityObj ?? Connectivity();
  }

  ///checks internet is connected or not
  ///returns [true] if internet is connected
  ///else it will return [false]
  @override
  Future<bool> isConnected() async {
    if (connectivity != null) {
      final result = await connectivity.checkConnectivity();
      if (result != ConnectivityResult.none) {
        return true;
      }
    }
    return false;
  }

  // to check type of internet connectivity
  @override
  Future<ConnectivityResult> get connectivityResult async {
    return connectivity.checkConnectivity();
  }

  //check the type on internet connection on changed of internet connection
  @override
  Stream<ConnectivityResult> get onConnectivityChanged =>
      connectivity.onConnectivityChanged;
}
