import 'dart:async';
import 'dart:developer';

import 'package:exide_crr/constants/app_config_constants.dart';
import 'package:exide_crr/utils/helper_class.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:firebase_remote_config/firebase_remote_config.dart';
import 'package:flutter/material.dart';

class RemoteConfigHelper {
  String tag = "RemoteConfigHelper";
  late FirebaseRemoteConfig remoteConfig;
  Completer<void> remoteConfigInitFetch = Completer<void>();

  RemoteConfigHelper() {
    init();
  }

  Future init() async {
    try {
      // debugPrint("app id is ${Firebase.app().options.appId}");
      // remoteConfig = FirebaseRemoteConfig.instance;
      // await remoteConfig.setConfigSettings(RemoteConfigSettings(
      //   fetchTimeout:
      //       const Duration(seconds: AppConfigCons.firebaseRemoteApiTimeout),
      //   minimumFetchInterval:
      //       const Duration(hours: AppConfigCons.firebaseMinimumFetchInterval),
      // ));
      // await remoteConfig.fetchAndActivate();
      // remoteConfigInitFetch.complete();
    } catch (e) {
      HelperClass.printWrapped("Exception===$e");
    }
  }

  String getAssetUrlConfig() {
    return remoteConfig.getString(AppConfigCons.assetUrl);
  }

  // get api encryption secret key
  Future<String> getApiEncryptionKey() async {
    await remoteConfigInitFetch.future;
    return remoteConfig.getString(AppConfigCons.apiEncryptionSecret);
  }

  String getForgotPasswordURL() {
    return remoteConfig.getString(AppConfigCons.forgotPasswordURL);
  }

  bool getFeedback() {
    return remoteConfig.getBool(AppConfigCons.testFeedback);
  }

  String getClientId() {
    return remoteConfig.getString(AppConfigCons.clientId);
  }

  String getClientSecretKey() {
    return remoteConfig.getString(AppConfigCons.clientSecretKey);
  }

  String getAndroidVersion() {
    return remoteConfig.getString(AppConfigCons.androidVersion);
  }

  String getAndroidMinVersion() {
    return remoteConfig.getString(AppConfigCons.androidMinVersion);
  }

  String getAndroidMinBuild() {
    return remoteConfig.getString(AppConfigCons.androidMinBuild);
  }

  String getAndroidBuild() {
    return remoteConfig.getString(AppConfigCons.androidBuild);
  }

  String getIOSMinBuild() {
    return remoteConfig.getString(AppConfigCons.iosMinBuild);
  }

  String getIOSBuild() {
    return remoteConfig.getString(AppConfigCons.iosBuild);
  }

  String getIOSVersion() {
    return remoteConfig.getString(AppConfigCons.iosVersion);
  }

  String getIOSMinVersion() {
    return remoteConfig.getString(AppConfigCons.iosMinVersion);
  }

  String getIOSUpdateUrl() {
    return remoteConfig.getString(AppConfigCons.iosUpdateUrl);
  }

  String getApkUpdateUrl() {
    return remoteConfig.getString(AppConfigCons.apkUpdateUrl);
  }

  String getLookerDashboardURL() {
    return remoteConfig.getString(AppConfigCons.lookerDashboardUrl);
  }
}
