import 'dart:developer';

import 'package:exide_crr/appLocalization/languages.dart';
import 'package:exide_crr/bindings/base_binding.dart';
import 'package:exide_crr/data/app_env.dart';
import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:exide_crr/routes/routes.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

import 'constants/app_config_constants.dart';

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ScreenUtilInit(
      splitScreenMode: false,
      minTextAdapt: true,
      useInheritedMediaQuery: true,
      designSize: const Size(360, 800),
      builder: (context, widget) => GetMaterialApp(
        title: AppEnvironment.appName,
        key: const GlobalObjectKey(AppConfigCons.appName),
        defaultTransition: Transition.fade,
        // opaqueRoute: Get.isOpaqueRouteDefault,
        popGesture: Get.isPopGestureEnable,
        transitionDuration: Get.defaultDialogTransitionDuration,
        debugShowCheckedModeBanner: false,
        // debugShowCheckedModeBanner: environment != Environment.prod,
        theme: ThemeData(
          colorScheme: ColorScheme.fromSwatch(
            primarySwatch: AppColor.primaryColorSwatch,
          ).copyWith(
            secondary: AppColor.accentColorSwatch,
          ),
        ),
        translations: Languages(),
        locale: const Locale("en", "US"),
        fallbackLocale: const Locale("en", "US"),
        themeMode: ThemeMode.light,
        getPages: Routes.getRoutingPages(),
        enableLog: kDebugMode,
        initialBinding: BaseBinding(),
      ),
    );
  }
}
