/* Created by Nitesh Kumar Verma on 05/28/24 */

import 'package:flutter/material.dart';

class AppColor {
  static Color whiteBgSearch = const Color(0xFFFBFBFB);

  //static const LOADER_COLOR = Colors.blue;
  static const int primaryColorHexValue = 0xFF354BC3;
  static const int accentColorHexValue = 0xFF000080;
  static const loaderColor = Color(0xffff9800);

  static const errorMessageColor = Color(0xffF40C0C);

  static const lightBlack = Color(0xFF292E36);
  static const lightGrey = Color(0xFF555E6C);
  static const lightGreyBorderColor = Color(0xFFCFD7E2);
  static const darkGray = Color(0xFF96A6BE);
  static const lightWhite = Color(0xFFF5F7FA);
  static const peach = Color(0xFFFCF4F4);
  static const darkPeach = Color(0xFFFAE5E5);
  static const darkRed = Color(0xFFEC1B27);
  static const whiteColor = Color(0xffffffff);
  static const gradientFirstColor = Color(0xffF40C0C);
  static const gradientSecondColor = Color(0xff1071FF);
  static const grayText = Color(0xff454A4F);

  static const primaryColor = Color(primaryColorHexValue);
  static const fontColor = Color(0xff1A1A1A);
  static const greyColor = Color(0xff696969);
  static Color black = const Color(0xFF000000);
  static const blackColor = Color(0xff131313);
  static const errorTextColor = Color(0xffF40C0C);
  static const transparent = Color(0x00000000);
  static Color white = const Color(0xFFFFFFFF);
  static const backgroundColor = Color(0xFFF5F5F5);
  static const primaryRedColor = Color(0xFFEC0000);
  static const textFieldHintColor = Color(0xff9B9B9B);
  static const primarySecColor = Color(0xFF3A88F4);
  static Color redLight = const Color(0xffFF1717);
  static const inActiveButtonColor = Color(0xffF9BBBF);
  static const slateGray = Color(0xff454A4F);

  static const MaterialColor primaryColorSwatch =
  MaterialColor(primaryColorHexValue, <int, Color>{
    50: Color(0xFF354BC3),
    100: Color(0xFF354BC3),
    200: Color(0xFF354BC3),
    300: Color(0xFF354BC3),
    400: Color(0xFF354BC3),
    500: Color(primaryColorHexValue),
    600: Color(0xFF354BC3),
    700: Color(0xFF354BC3),
    800: Color(0xFF354BC3),
    900: Color(0xFF354BC3),
  });

  static const MaterialColor accentColorSwatch =
  MaterialColor(accentColorHexValue, <int, Color>{
    50: Color(0xFFE0E0F0),
    100: Color(0xFFB3B3D9),
    200: Color(0xFF8080C0),
    300: Color(0xFF4D4DA6),
    400: Color(0xFF262693),
    500: Color(accentColorHexValue),
    600: Color(0xFF000078),
    700: Color(0xFF00006D),
    800: Color(0xFF000063),
    900: Color(0xFF000050),
  });

  static const LinearGradient gradientColor = LinearGradient(colors: [
    Color(0xff764BA2),
    Color(0xff667EEA),
  ]);

  static const LinearGradient appBgGrad = LinearGradient(
    colors: [
      Color(0xFF301519),
      Color(0xFF1f1c2a),
    ],
  );
}

// -----------------------------------------------------------------------------
class TextSize {
  static const textToolbarTitleSize = 18.0;
  static const textHeadingSize = 22.0;
  static const textSubHeadingSize = 18.0;
  static const textNormalSize = 32.0;
  static const textFieldSize = 16.0;
  static const textMenuSize = 16.0;
  static const textAlertSize = 16.0;
  static const loaderSize = 30.0;
  static const smallSize = 24.0;
  static const bodySize = 14.0;
  static const passwordHintSize = 13.0;

  static const textRegularSize = 16.0;
  static const textButtonSize = 16.0;
  static const textSmallSize = 14.0;
  static const textXSmallSize = 12.0;
  static const textMediumSize = 16.0;
  static const textLargeSize = 20.0;
  static const textTitle = 22.0;
  static const textXXLargeSize = 24.0;
  static const textBodySize = 16.0;
  static const textDotSize = 32.0;
}

class SizeCons {
  static const left = 24.0;
  static const top = 8.0;
  static const bottom = 8.0;
  static const right = 24.0;
  static const vertical = 12.0;
  static const horizontal = 24.0;
  static const all = 24.0;
  static const width = 24.0;
  static const height = 24.0;
}