/* Created by Nitesh Kumar Verma on 15/12/23 */

import 'package:exide_crr/constants/font_constants.dart';
import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:google_fonts/google_fonts.dart';

class Styles {
  static TextStyle fontStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textRegularSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.fontColor,
  );

  static TextStyle subFontStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.fontColor,
  );

  static TextStyle boldFontStyle1 = const TextStyle(
      fontSize: TextSize.textRegularSize,
      fontWeight: FontWeight.w400,
      color: AppColor.fontColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle textFieldTitleStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.fontColor,
  );
  static TextStyle errorMessageStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.errorMessageColor,
  );

  static TextStyle errorMessageStyleMobile = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.errorMessageColor,
  );

  static TextStyle headerFontStyle = TextStyle(
      fontSize: TextSize.textHeadingSize.sp,
      fontWeight: FontWeight.w700,
      color: AppColor.fontColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle textFieldStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textRegularSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.fontColor,
  );

  static TextStyle textFieldErrorStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textRegularSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.errorTextColor,
  );

  static TextStyle textStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: GetPlatform.isWeb
        ? TextSize.textRegularSize
        : TextSize.textRegularSize.sp,
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    height: GetPlatform.isWeb ? null : 1.0,
    color: AppColor.fontColor,
  );

  static TextStyle textStyleMobile = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textXSmallSize,
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    height: 1.5,
    color: AppColor.fontColor,
  );

  static TextStyle hintTextFieldStyle1 = const TextStyle(
      fontSize: TextSize.textRegularSize,
      fontWeight: FontWeight.w400,
      color: AppColor.textFieldHintColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle hintTextFieldStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.textFieldHintColor,
  );

  /*static TextStyle errorTextFieldStyle = const TextStyle(
        fontSize: 0,
        color: AppColor.primaryRedColor,
        fontWeight: FontWeight.w400
    );*/

  static TextStyle accentTextStyle = const TextStyle(
      fontSize: TextSize.textNormalSize,
      fontWeight: FontWeight.w600,
      color: AppColor.primaryColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle primarySecStyle = const TextStyle(
      fontSize: TextSize.textNormalSize,
      fontWeight: FontWeight.w600,
      color: AppColor.primarySecColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle buttonStyle = const TextStyle(
      fontSize: TextSize.textRegularSize,
      fontWeight: FontWeight.w600,
      color: AppColor.whiteColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle whiteTextStyle = const TextStyle(
      fontSize: TextSize.textNormalSize,
      fontWeight: FontWeight.w700,
      color: AppColor.whiteColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle whiteNormalTextStyle = const TextStyle(
      fontSize: TextSize.textNormalSize,
      fontWeight: FontWeight.w300,
      color: AppColor.whiteColor,
      fontFamily: FontConstants.fontFamily);

  static TextStyle copyRightStyle = const TextStyle(
      fontSize: 8,
      fontFamily: FontConstants.fontFamily,
      fontWeight: FontWeight.w300,
      color: AppColor.fontColor);

  static TextStyle dashboardTextStyle = const TextStyle(
      fontSize: 18,
      fontFamily: FontConstants.fontFamily,
      fontWeight: FontWeight.w600,
      color: AppColor.primaryColor);

  static TextStyle dashboardTextStyle2 = const TextStyle(
      fontSize: 16,
      fontFamily: FontConstants.fontFamily,
      fontWeight: FontWeight.w600,
      color: AppColor.primaryColor);

  static TextStyle dashboardTextStyle3 = const TextStyle(
      fontSize: 15,
      fontFamily: FontConstants.fontFamily,
      fontWeight: FontWeight.w600,
      color: AppColor.primaryColor);

  static TextStyle dashboardGreyTextStyle = const TextStyle(
      fontSize: 16,
      fontFamily: FontConstants.fontFamily,
      fontWeight: FontWeight.w600,
      color: AppColor.greyColor);

  static TextStyle verifyUserWebTextStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textRegularSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    // height: 1.0,
    color: AppColor.textFieldHintColor,
  );

  static TextStyle mandatoryTitleStyle = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w500,
    fontStyle: FontStyle.normal,
    height: 1.0,
    color: AppColor.redLight,
  );

///Verify OTP
  static TextStyle resendTextUnderline = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w400,
    color: AppColor.redLight.withOpacity(0.3),decoration: TextDecoration.underline,decorationColor: AppColor.redLight.withOpacity(0.3),
  );

  static TextStyle resendText = GoogleFonts.getFont(
    FontConstants.fontFamilyName,
    fontSize: TextSize.textSmallSize,
    fontWeight: FontWeight.w400,
    color: AppColor.lightGrey,
  );
  static TextStyle pinCodeText = GoogleFonts.getFont(FontConstants.fontFamilyName,
      fontSize: TextSize.textSmallSize,
      fontWeight: FontWeight.w500,
      color: AppColor.black);
}
