import 'package:exide_crr/constants/firebaseConstants/field_constants.dart';
import 'package:exide_crr/constants/firebaseConstants/firebase_collections_constants.dart';
import 'package:exide_crr/firebaseServices/firebase_service.dart';
import 'package:exide_crr/utils/helper_class.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';
import 'package:get/get_state_manager/src/simple/get_controllers.dart';

import '../../../model/condition_data.dart';
import '../../../serverRequest/all_request.dart';

class LoginController extends GetxController {
  FirebaseService firebaseService = FirebaseService.instance;
  final TextEditingController dealerCodeController = TextEditingController();
  RxMap<String, dynamic> dealerData = <String, dynamic>{}.obs;
  RxBool isLoginLoading = false.obs;
  RxBool isLoginSuccessfull = false.obs;

  /// login with dealer code logic
  loginWithDealerCode() async {
    try {
      isLoginLoading.value = true;
      dealerData.clear();
      await firebaseService.getAllRecordMap(
          collectionName: FirebaseCollectionConstant.dealers,
          conditions: [
            ConditionData(
                key: FieldConstants.code,
                value: dealerCodeController.value.text),
          ]).then((dealerDataResult) {
        dealerData.value = dealerDataResult;
        HelperClass.printWrapped("dealerData ==> $dealerData");
      });
    } catch (e) {
      isLoginLoading.value = false;
      HelperClass.printWrapped("loginWithDealerCode ==> $loginWithDealerCode");
    } finally {
      isLoginLoading.value = false;
    }
  }

  onClickHandler(){
    AllHttpRequest().generateAuth();
  }
}
