import 'dart:async';
import 'package:animate_do/animate_do.dart';
import 'package:exide_crr/preferences/app_shared_preferences.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:exide_crr/constants/app_images.dart';
import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:exide_crr/routes/routes_name.dart';
import 'package:exide_crr/appbar/empty_app_bar.dart';

class SplashScreen extends StatefulWidget {
  const SplashScreen({super.key});

  @override
  State<SplashScreen> createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  void initState() {
    super.initState();
    Timer(const Duration(seconds: 3), () {
      /// if language not selected then redirect to [language Selection Screen]
      /// if language already selected then redirect to [landing page ]
      if (checkForSelectedLanguage() == "") {
        Get.toNamed(RoutesName.languageSelectionScreen);
      } else {
        Get.toNamed(RoutesName.languageSelectionScreen);
      }
    });
  }

  /// get selected language from local storage
  checkForSelectedLanguage() async {
    String selectedLanguage = await PreferenceHelper.getPreferenceData(PreferenceHelper.selectedLanguage) ?? "";
    return selectedLanguage;
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const EmptyAppBar(),
      backgroundColor: Colors.black,
      body: Container(
        alignment: Alignment.center,
        color: AppColor.white,
        width: double.infinity,
        height: double.infinity,
        child: ZoomIn(
          child: SvgPicture.asset(
            AppImages.appLogo,
            width: 218,
            height: 58,
          ),
        ),
      ),
    );
  }
}
