import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import '../../../constants/app_constants.dart';
import '../../../customWidget/otp_text_field/otp_text_field.dart';
import '../../../res/app_color_text_size.dart';
import '../controller/verify_otp_controller.dart';
import '../widgets/floating_button.dart';
import '../widgets/pincode_text_field.dart';
import '../widgets/resend_otp_text.dart';
import '../widgets/screen_header.dart';

class VerifyOtp extends StatefulWidget {
  const VerifyOtp({super.key});

  @override
  State<VerifyOtp> createState() => _VerifyOtpState();
}

class _VerifyOtpState extends State<VerifyOtp> {
  OtpFieldController otpFieldController = OtpFieldController();

  @override
  Widget build(BuildContext context) {
    return GetBuilder(
      tag: Tag.verifyOtpControllerTag,
      init: VerifyOtpController(),
      builder: (controller) => Scaffold(
        backgroundColor: AppColor.white,
        body: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            screenHeader(),
            ///PinCode field
            pinCodeField(controller,context),
            ///Resend text
            resendOTPText(controller)
          ],
        ).paddingOnly(right: 16.0.h, left: 16.0.h, top: 104.h),
        floatingActionButton: floatingBottomButton(controller,context),
        floatingActionButtonLocation: FloatingActionButtonLocation.centerFloat,
      ),
    );
  }
}
