import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import '../../../appLocalization/language_key.dart';
import '../../../constants/image_constants.dart';
import '../../../customWidget/app_text.dart';
import '../../../res/app_color_text_size.dart';
import '../../../routes/routes_name.dart';

Widget screenHeader() {
  return Column(
    crossAxisAlignment: CrossAxisAlignment.start,
    children: [
      InkWell( onTap: () => Get.back(),
        child: Row(
          children: [
            Image.asset(
              ImageConstants.backButton,
              width: 32,
              height: 32,
            ),
            AppText(
              text: back.tr,
              fontSize: TextSize.textSmallSize,
              fontWeight: FontWeight.w500,
              textColor: AppColor.black,
            ).paddingOnly(left: 12.0.h),
          ],
        ).paddingOnly(bottom: 24.0),
      ),
      AppText(
        text: otpTitle.tr,
        fontSize: TextSize.textXXLargeSize,
        fontWeight: FontWeight.w500,
        textColor: AppColor.lightBlack,
      ).paddingOnly(bottom: 8.0.h),
      AppText(
        text: otpSubTitle.tr,
        fontSize: TextSize.textSmallSize,
        fontWeight: FontWeight.w400,
        textColor: AppColor.lightGrey,
        maxLine: 3,
        textAlign: TextAlign.start,
      ),
      AppText(
        text: enterOTP.tr,
        fontSize: TextSize.textSmallSize,
        fontWeight: FontWeight.w500,
        textColor: AppColor.lightGrey,
      ).paddingOnly(top: 24.0.h),
    ],
  );
}
